/**
 * Created by parablu-dev on 8/5/15.
 */

app.controller('SettingController', ['$scope', 'toastr', 'Upload', '$http', '$ngBootbox', 'blockUI', 'BASE_FOLDER', 'md5', function($scope, toastr, Upload, $http, $ngBootbox, blockUI, BASE_FOLDER, md5) {

    $scope.BASE_FOLDER = BASE_FOLDER;
    $scope.userStatus   = $('.userStatusCollector').html();
    $scope.currentPage   = $('.currentPage').html();
    $scope.adcS = [];
    $scope.ccS = [];
    $scope.keys = [];

    $scope.saveEmailConfiguration = function(){
        if($('.emailConfiguration').parsley().isValid()){
            $.ajax({
                url: $scope.BASE_FOLDER+'/settings/email',
                data: $('form').serialize(),
                type: 'POST'
            }).done(function(data){
                var jData = $.parseJSON(data);
                if(jData.result == 'success'){
                    toastr.success(jData.msg, 'Successful!!!', {allowHtml: true});
                }else{
                    toastr.error(jData.msg, 'Fail!!!', {allowHtml: true});
                }
            }).error(function(data){
                toastr.error('Session has been expired, re-establising the connection..., or will be redirected to <b>"Login page"</b>', 'Fail!!!', {allowHtml: true});
                if(data.status == 424){
                    setTimeout(function(){
                        window.location.href = $scope.BASE_FOLDER+'/sleep';
                    }, 3000);
                }else if(data.status == 503){
                    setTimeout(function(){
                        window.location.href = $scope.BASE_FOLDER+'/serviceDown';
                    }, 3000);
                }
            });
        }
    };

    $scope.saveSmtpConfiguration = function () {

        if($('.smtpConfiguration').parsley().isValid()){
            var html = $('.saveSMTP').html();
            $('.saveSMTP').attr('disabled','disabled');
            $('.saveSMTP').html('Loading... <i class="fa fa-circle-o-notch fa-spin"></i>').animate();

            $.ajax({
                url: $scope.BASE_FOLDER+'/settings/smtp',
                data: $('.smtpConfiguration').serialize(),
                type: 'POST'
            }).done(function(data){
                $('.saveSMTP').removeAttr('disabled');
                $('.saveSMTP').html(html);
                var jData = $.parseJSON(data);
                if(jData.result == 'success'){
                    toastr.success(jData.msg, 'Successful!!!', {allowHtml: true});
                    setTimeout(function(){
                        window.location.href = $scope.BASE_FOLDER+'/settings';
                    }, 3000);
                }else{
                    toastr.error(jData.msg, 'Fail!!!', {allowHtml: true});
                }
            }).error(function(data){
                toastr.error('Session has been expired, re-establising the connection..., or will be redirected to <b>"Login page"</b>', 'Fail!!!', {allowHtml: true});
                if(data.status == 424){
                    setTimeout(function(){
                        window.location.href = $scope.BASE_FOLDER+'/sleep';
                    }, 3000);
                }else if(data.status == 503){
                    setTimeout(function(){
                        window.location.href = $scope.BASE_FOLDER+'/serviceDown';
                    }, 3000);
                }
            });
        }

    };

    $scope.saveCloudConfiguration = function () {

        if($('.cloudConfiguration').parsley().isValid()){
            var html = $('.saveCloudProperties').html();
            $('.saveCloudProperties').attr('disabled','disabled');
            $('.saveCloudProperties').html('Loading... <i class="fa fa-circle-o-notch fa-spin"></i>').animate();

            $.ajax({
                url: $scope.BASE_FOLDER+'/settings/cloudProperties',
                data: $('.cloudConfiguration').serialize(),
                type: 'POST'
            }).done(function(data){
                $('.saveCloudProperties').removeAttr('disabled');
                $('.saveCloudProperties').html(html);
                var jData = $.parseJSON(data);
                if(jData.result == 'success'){
                    toastr.success(jData.msg, 'Successful!!!', {allowHtml: true});
                    setTimeout(function(){
                        window.location.href = $scope.BASE_FOLDER+'/settings';
                    }, 3000);
                }else{
                    toastr.error(jData.msg, 'Fail!!!', {allowHtml: true});
                }
            }).error(function(data){
                toastr.error('Session has been expired, re-establising the connection..., or will be redirected to <b>"Login page"</b>', 'Fail!!!', {allowHtml: true});
                if(data.status == 424){
                    setTimeout(function(){
                        window.location.href = $scope.BASE_FOLDER+'/sleep';
                    }, 3000);
                }else if(data.status == 503){
                    setTimeout(function(){
                        window.location.href = $scope.BASE_FOLDER+'/serviceDown';
                    }, 3000);
                }
            });
        }

    };

    $scope.saveProxyConfiguration = function(){
        if($('.proxyConfiguration').parsley().isValid()){
            var proxySaveHtml = $('.proxySave').html();
            $('.proxySave').attr('disabled','disabled');
            $('.proxySave').html('Loading... <i class="fa fa-circle-o-notch fa-spin"></i>').animate();
            $.ajax({
                url: $scope.BASE_FOLDER+'/settings/proxy',
                data: $('form').serialize(),
                type: 'POST'
            }).done(function(data){
                $('.proxySave').removeAttr('disabled');
                $('.proxySave').html(proxySaveHtml);
                var jData = $.parseJSON(data);
                if(jData.result == 'success'){
                    toastr.success(jData.msg, 'Successful!!!', {allowHtml: true});
                    setTimeout(function(){
                        window.location.reload();
                    }, 2000);
                }else{
                    toastr.error(jData.msg, 'Fail!!!', {allowHtml: true});
                }
            }).error(function(data){
                toastr.error('Session has been expired, re-establising the connection..., or will be redirected to <b>"Login page"</b>', 'Fail!!!', {allowHtml: true});
                if(data.status == 424){
                    setTimeout(function(){
                        window.location.href = $scope.BASE_FOLDER+'/sleep';
                    }, 3000);
                }else if(data.status == 503){
                    setTimeout(function(){
                        window.location.href = $scope.BASE_FOLDER+'/serviceDown';
                    }, 3000);
                }
            });
        }
    };
    
    $scope.editProxyConfiguration = function(){
        //if($('.proxyConfiguration').parsley().isValid()){
            var proxySaveHtml = $('.proxySave').html();
            $('.eproxySave').attr('disabled','disabled');
            $('.eproxySave').html('Loading... <i class="fa fa-circle-o-notch fa-spin"></i>').animate();
            $.ajax({
                url: $scope.BASE_FOLDER+'/settings/editproxy',
                data: $('form').serialize(),
                type: 'POST'
            }).done(function(data){
                $('.eproxySave').removeAttr('disabled');
                $('.eproxySave').html(proxySaveHtml);
                var jData = $.parseJSON(data);
                if(jData.result == 'success'){
                    toastr.success(jData.msg, 'Successful!!!', {allowHtml: true});
                    setTimeout(function(){
                        window.location.reload();
                    }, 2000);
                }else{
                    toastr.error(jData.msg, 'Fail!!!', {allowHtml: true});
                }
            }).error(function(data){
                toastr.error('Session has been expired, re-establising the connection..., or will be redirected to <b>"Login page"</b>', 'Fail!!!', {allowHtml: true});
                if(data.status == 424){
                    setTimeout(function(){
                        window.location.href = $scope.BASE_FOLDER+'/sleep';
                    }, 3000);
                }else if(data.status == 503){
                    setTimeout(function(){
                        window.location.href = $scope.BASE_FOLDER+'/serviceDown';
                    }, 3000);
                }
            });
        //}
    };

    $scope.removeProxyConfiguration = function(){
            var btn = $('.proxyRemove');
            var html = btn.html();
            var host = $('#proxyURL').val();
            $('.proxyRemove').attr('disabled','disabled');
            $('.proxyRemove').html('Loading... <i class="fa fa-circle-o-notch fa-spin"></i>').animate();
            $.ajax({
                type: 'POST',
                url: $scope.BASE_FOLDER+'/settings/proxyremove',
                data: {csrf_token: $('csrf_token').html(), proxyHost: host}
            }).done(function(data){
                btn.removeAttr('disabled');
                btn.html(html);
                var jData = $.parseJSON(data);
                if(jData.result == 'success'){
                    $scope.updateAdCredentials();
                    toastr.success(jData.msg, 'Successful!!!', {allowHtml: true});
                    setTimeout(function(){
                        window.location.reload();
                    }, 2000);
                }else{
                    toastr.error(jData.msg, 'Fail!!!', {allowHtml: true});
                }
            }).error(function(data){
                toastr.error('Session has been expired, re-establising the connection..., or will be redirected to <b>"Login page"</b>', 'Fail!!!', {allowHtml: true});
                if(data.status == 424){
                    setTimeout(function(){
                        window.location.href = $scope.BASE_FOLDER+'/sleep';
                    }, 3000);
                }else if(data.status == 503){
                    setTimeout(function(){
                        window.location.href = $scope.BASE_FOLDER+'/serviceDown';
                    }, 3000);
                }
            });
        };

    $scope.saveGoogleConfiguration = function(){
        if($('.googleConfiguration').parsley().isValid()){
            $.ajax({
                url: $scope.BASE_FOLDER+'/settings/google',
                data: $('form').serialize(),
                type: 'POST'
            }).done(function(data){
                var jData = $.parseJSON(data);
                if(jData.result == 'success'){
                    toastr.success(jData.msg, 'Successful!!!', {allowHtml: true});
                }else{
                    toastr.error(jData.msg, 'Fail!!!', {allowHtml: true});
                }
            }).error(function(data){
                toastr.error('Session has been expired, re-establising the connection..., or will be redirected to <b>"Login page"</b>', 'Fail!!!', {allowHtml: true});
                if(data.status == 424){
                    setTimeout(function(){
                        window.location.href = $scope.BASE_FOLDER+'/sleep';
                    }, 3000);
                }else if(data.status == 503){
                    setTimeout(function(){
                        window.location.href = $scope.BASE_FOLDER+'/serviceDown';
                    }, 3000);
                }
            });
        }
    };

    $scope.saveOdcConfiguration = function(){
        //if($('.odcConfiguration').parsley().isValid()){
        //    $.ajax({
        //        url: $scope.BASE_FOLDER+'/settings/obc',
        //        data: $('form').serialize(),
        //        type: 'POST'
        //    }).done(function(data){
        //        var jData = $.parseJSON(data);
        //        if(jData.result == 'success'){
        //            toastr.success(jData.msg, 'Successful!!!', {allowHtml: true});
        //        }else{
        //            toastr.error(jData.msg, 'Fail!!!', {allowHtml: true});
        //        }
        //    }).error(function(data){
        //        toastr.error('Session has been expired, re-establising the connection..., or will be redirected to <b>"Login page"</b>', 'Fail!!!', {allowHtml: true});
        //        if(data.status == 424){
        //            setTimeout(function(){
        //                window.location.href = $scope.BASE_FOLDER+'/sleep';
        //            }, 3000);
        //        }else if(data.status == 503){
        //            setTimeout(function(){
        //                window.location.href = $scope.BASE_FOLDER+'/serviceDown';
        //            }, 3000);
        //        }
        //    });
        //}
        toastr.info('This Section is not enabled to be used', 'Successful!!!', {allowHtml: true});
    };

    $scope.saveOdbConfiguration = function(){
        if($('.odbConfiguration').parsley().isValid()){
            $.ajax({
                url: $scope.BASE_FOLDER+'/settings/odb',
                data: $('form').serialize(),
                type: 'POST'
            }).done(function(data){
                var jData = $.parseJSON(data);
                if(jData.result == 'success'){
                    toastr.success(jData.msg, 'Successful!!!', {allowHtml: true});
                    setTimeout(function(){
                        window.location.reload(true);
                    }, 1000)
                }else{
                    toastr.error(jData.msg, 'Fail!!!', {allowHtml: true});
                }
            }).error(function(data){
                toastr.error('Session has been expired, re-establising the connection..., or will be redirected to <b>"Login page"</b>', 'Fail!!!', {allowHtml: true});
                if(data.status == 424){
                    setTimeout(function(){
                        window.location.href = $scope.BASE_FOLDER+'/sleep';
                    }, 3000);
                }else if(data.status == 503){
                    setTimeout(function(){
                        window.location.href = $scope.BASE_FOLDER+'/serviceDown';
                    }, 3000);
                }
            });
        }
    };

    $scope.saveDomainConfiguration = function(){
        if($('.domainConfiguration').parsley().isValid()){
            $.ajax({
                url: $scope.BASE_FOLDER+'/settings/domain',
                data: $('form').serialize(),
                type: 'POST'
            }).done(function(data){
                var jData = $.parseJSON(data);
                if(jData.result == 'success'){
                    toastr.success(jData.msg, 'Successful!!!', {allowHtml: true});
                }else{
                    toastr.error(jData.msg, 'Fail!!!', {allowHtml: true});
                }
            }).error(function(data){
                toastr.error('Session has been expired, re-establising the connection..., or will be redirected to <b>"Login page"</b>', 'Fail!!!', {allowHtml: true});
                if(data.status == 424){
                    setTimeout(function(){
                        window.location.href = $scope.BASE_FOLDER+'/sleep';
                    }, 3000);
                }else if(data.status == 503){
                    setTimeout(function(){
                        window.location.href = $scope.BASE_FOLDER+'/serviceDown';
                    }, 3000);
                }
            });
        }
    };

    $scope.saveEncryptionConfiguration = function(){
        if($('.encryptionConfiguration').parsley().isValid()){
        	$('.saveEncSetting').attr('disabled','disabled');
            var html = $('.saveEncSetting').html();
            $('.saveEncSetting').html('Loading... <i class="fa fa-circle-o-notch fa-spin"></i>').animate();
            $.ajax({
                url: $scope.BASE_FOLDER+'/settings/encryption',
                data: $('form').serialize(),
                type: 'POST'
            }).done(function(data){
                $('.saveEncSetting').html(html);
                $('.saveEncSetting').removeAttr('disabled');
                var jData = $.parseJSON(data);
                if(jData.result == 'success'){
                    toastr.success(jData.msg, 'Successful!!!', {allowHtml: true});
                    setTimeout(function(){
                        window.location.reload();
                    }, 2000);
                }else{
                    toastr.error(jData.msg, 'Fail!!!', {allowHtml: true});
                }
            }).error(function(data){
                toastr.error('Session has been expired, re-establising the connection..., or will be redirected to <b>"Login page"</b>', 'Fail!!!', {allowHtml: true});
                if(data.status == 424){
                    setTimeout(function(){
                        window.location.href = $scope.BASE_FOLDER+'/sleep';
                    }, 3000);
                }else if(data.status == 503){
                    setTimeout(function(){
                        window.location.href = $scope.BASE_FOLDER+'/serviceDown';
                    }, 3000);
                }
            });
        }
    };

    $scope.saveLocalConfiguration = function(){
        if($('.localConfiguration').parsley().isValid()){
            $.ajax({
                url: $scope.BASE_FOLDER+'/settings/local',
                data: $('form').serialize(),
                type: 'POST'
            }).done(function(data){
                var jData = $.parseJSON(data);
                if(jData.result == 'success'){
                    toastr.success(jData.msg, 'Successful!!!', {allowHtml: true});
                }else{
                    toastr.error(jData.msg, 'Fail!!!', {allowHtml: true});
                }
            }).error(function(data){
                toastr.error('Session has been expired, re-establising the connection..., or will be redirected to <b>"Login page"</b>', 'Fail!!!', {allowHtml: true});
                if(data.status == 424){
                    setTimeout(function(){
                        window.location.href = $scope.BASE_FOLDER+'/sleep';
                    }, 3000);
                }else if(data.status == 503){
                    setTimeout(function(){
                        window.location.href = $scope.BASE_FOLDER+'/serviceDown';
                    }, 3000);
                }
            });
        }
    };

    $('.SSLConfiguration').on('submit', function(event){
        event.preventDefault();
        $.ajax({
            type: 'POST',
            url: $scope.BASE_FOLDER+'/settings/ssl',
            data: new FormData( this ),
            processData: false,
            contentType: false
        }).done(function(data){
            var jData = $.parseJSON(data);
            if(jData.result == 'success'){
                toastr.success(jData.msg, 'Successful!!!', {allowHtml: true});
            }else{
                toastr.error(jData.msg, 'Fail!!!', {allowHtml: true});
            }
        }).error(function(data){
            toastr.error('Session has been expired, re-establising the connection..., or will be redirected to <b>"Login page"</b>', 'Fail!!!', {allowHtml: true});
            if(data.status == 424){
                setTimeout(function(){
                    window.location.href = $scope.BASE_FOLDER+'/sleep';
                }, 3000);
            }else if(data.status == 503){
                setTimeout(function(){
                    window.location.href = $scope.BASE_FOLDER+'/serviceDown';
                }, 3000);
            }
        });
    });

    $scope.updateAdCredentials = function(){
        $.ajax({
            type: 'POST',
            url: $scope.BASE_FOLDER+'/settings/getAdCredentials',
            data: {csrf_token: $('.csrf_token').html()}
        }).done(function(data){
            var jData = $.parseJSON(data);
            if(jData.result == 'success'){
                if(jData.adcS.length > 0){
                    $scope.adcS = jData.adcS;
                    $scope.$apply();
                    $('.adPanel').show();
                }
            }else{
                toastr.error(jData.msg, 'Fail!!!', {allowHtml: true});
            }
        }).error(function(data){
            toastr.error('Session has been expired, re-establising the connection..., or will be redirected to <b>"Login page"</b>', 'Fail!!!', {allowHtml: true});
            if(data.status == 424){
                setTimeout(function(){
                    window.location.href = $scope.BASE_FOLDER+'/sleep';
                }, 3000);
            }else if(data.status == 503){
                setTimeout(function(){
                    window.location.href = $scope.BASE_FOLDER+'/serviceDown';
                }, 3000);
            }
        });
    };
    $scope.getAdCredentials = function(key){
        $.ajax({
            type: 'POST',
            url: $scope.BASE_FOLDER+'/settings/getAdCredential',
            data: {csrf_token: $('.csrf_token').html(), id: $scope.adcS[key].id}
            
        }).done(function(data){
            console.log('id'+$scope.adcS[key].id);
            var jData = $.parseJSON(data);
            console.log(jData);
            if(jData.result == 'success'){
                if(jData.adcS != null){
                    $('#editAdCredentialsModal').modal('show');
                    $('#id').val(jData.adcS.id);
                    $('#editUserDn').val(jData.adcS.userDn);
                    $('#editAdPassword').val(jData.adcS.adPassword);
                    $('#editAdBase').val(jData.adcS.adBase);
                    $('#editAdCn').val(jData.adcS.adCn);
                    $('#editAdUrl').val(jData.adcS.adUrl);
                    $('#editAdGroupName').val(jData.adcS.adGroupName);
                    if(jData.adcS.adProductType == 'sync'){
                        $('#editAdProductType').find('option[value="sync"]').prop("selected",true);
                    }else{
                        $('#editAdProductType').find('option[value="backup"]').prop("selected",true);
                    }
                    $('#editAdProductType').selectpicker('refresh');
                }else{
                    toastr.error(jData.msg, 'Fail!!!', {allowHtml: true});
                }
            }else{
                toastr.error(jData.msg, 'Fail!!!', {allowHtml: true});
            }
        }).error(function(data){
            toastr.error('Session has been expired, re-establising the connection..., or will be redirected to <b>"Login page"</b>', 'Fail!!!', {allowHtml: true});
            if(data.status == 424){
                setTimeout(function(){
                    window.location.href = $scope.BASE_FOLDER+'/sleep';
                }, 3000);
            }else if(data.status == 503){
                setTimeout(function(){
                    window.location.href = $scope.BASE_FOLDER+'/serviceDown';
                }, 3000);
            }
        });
    };
    $scope.saveAdCredentials = function(form){
        var btn;
        if(form == 'createAdCredentials'){
            if(checkIfExistsInAD($('[name="userDn"]').val())){
                return false;
            }
            btn = $('.createCredentialsBtn');
        }else{
            btn = $('.editCredentialsBtn');
        }
        var html = btn.html();
        btn.attr('disabled','disabled');
        btn.html('Loading... <i class="fa fa-circle-o-notch fa-spin"></i>').animate();
        $.ajax({
            type: 'POST',
            url: $scope.BASE_FOLDER+'/settings/saveAdCredentials',
            data: $('.'+form).serialize()
        }).done(function(data){
            btn.removeAttr('disabled');
            btn.html(html);
            var jData = $.parseJSON(data);
            if(jData.result == 'success'){
                if(form == 'editAdCredentials'){
                    $('#editAdCredentialsModal').modal('hide');
                    $('#editUserDn').val('');
                    $('#editAdPassword').val('');
                    $('#editAdBase').val('');
                    $('#editAdCn').val('');
                    $('#editAdUrl').val('');
                    $('#editAdGroupName').val();
                }
                $scope.updateAdCredentials();
                setTimeout(function(){
                toastr.success(jData.msg, 'Successful!!!', {allowHtml: true});
                }, 3000);
                location.reload();
            }else{
                toastr.error(jData.msg, 'Fail!!!', {allowHtml: true});
            }
        }).error(function(data){
            toastr.error('Session has been expired, re-establising the connection..., or will be redirected to <b>"Login page"</b>', 'Fail!!!', {allowHtml: true});
            if(data.status == 424){
                setTimeout(function(){
                    window.location.href = $scope.BASE_FOLDER+'/sleep';
                }, 3000);
            }else if(data.status == 503){
                setTimeout(function(){
                    window.location.href = $scope.BASE_FOLDER+'/serviceDown';
                }, 3000);
            }
        });
    };
    
    $scope.editAdCredentials = function(form){
        var btn;
        btn = $('.editCredentialsBtn');
        var html = btn.html();
        btn.attr('disabled','disabled');
        btn.html('Loading... <i class="fa fa-circle-o-notch fa-spin"></i>').animate();
        $.ajax({
            type: 'POST',
            url: $scope.BASE_FOLDER+'/settings/editAdCredentials',
            data: $('.'+form).serialize()
        }).done(function(data){
            btn.removeAttr('disabled');
            btn.html(html);
            var jData = $.parseJSON(data);
            if(jData.result == 'success'){
                if(form == 'editAdCredentials'){
                    $('#editAdCredentialsModal').modal('hide');
                    $('#editUserDn').val('');
                    $('#editAdPassword').val('');
                    $('#editAdBase').val('');
                    $('#editAdCn').val('');
                    $('#editAdUrl').val('');
                    $('#editAdGroupName').val();
                }
                $scope.updateAdCredentials();
                setTimeout(function(){
                toastr.success(jData.msg, 'Successful!!!', {allowHtml: true});
                }, 3000);
                location.reload();
            }else{
                toastr.error(jData.msg, 'Fail!!!', {allowHtml: true});
            }
        }).error(function(data){
            toastr.error('Session has been expired, re-establising the connection..., or will be redirected to <b>"Login page"</b>', 'Fail!!!', {allowHtml: true});
            if(data.status == 424){
                setTimeout(function(){
                    window.location.href = $scope.BASE_FOLDER+'/sleep';
                }, 3000);
            }else if(data.status == 503){
                setTimeout(function(){
                    window.location.href = $scope.BASE_FOLDER+'/serviceDown';
                }, 3000);
            }
        });
    };

    function checkIfExistsInAD(newUserDn){
        var result = false;
        $scope.adcS.forEach(function(value, key){
            if(value.userDn == newUserDn){
                result = true;
            }
        });
        return result;
    }

    $scope.removeAdCredentials = function(key){
        var btn = $('.removeCredentialsBtn'+key);
        var html = btn.html();
        btn.attr('disabled','disabled');
        btn.html('Loading... <i class="fa fa-circle-o-notch fa-spin"></i>').animate();
        $.ajax({
            type: 'POST',
            url: $scope.BASE_FOLDER+'/settings/removeAdCredentials',
            data: {csrf_token: $('csrf_token').html(), userDn: $scope.adcS[key].userDn}
        }).done(function(data){
            btn.removeAttr('disabled');
            btn.html(html);
            var jData = $.parseJSON(data);
            if(jData.result == 'success'){
                $scope.updateAdCredentials();
                toastr.success(jData.msg, 'Successful!!!', {allowHtml: true});
                    setTimeout(function(){
                        window.location.reload();
                    }, 3000);
            }else{
                toastr.error(jData.msg, 'Fail!!!', {allowHtml: true});
            }
        }).error(function(data){
            toastr.error('Session has been expired, re-establising the connection..., or will be redirected to <b>"Login page"</b>', 'Fail!!!', {allowHtml: true});
            if(data.status == 424){
                setTimeout(function(){
                    window.location.href = $scope.BASE_FOLDER+'/sleep';
                }, 3000);
            }else if(data.status == 503){
                setTimeout(function(){
                    window.location.href = $scope.BASE_FOLDER+'/serviceDown';
                }, 3000);
            }
        });
    };

    $scope.getCloudCredentials = function(key){
        console.log({csrf_token: $(".csrf_token").html()});
        $.ajax({
            url: $scope.BASE_FOLDER+'/settings/getCloudCredential',
            //data: {csrf_token: $(".csrf_token").html()},
            data: {csrf_token: $('.csrf_token').html(), identity: $scope.ccS[key].identity},
            type: 'POST'
        }).done(function(data){
            $('.ccSPanel').show();
            var jData = $.parseJSON(data);
            console.log(jData);
            if(jData.result == 'success'){
                if(jData.ccS1.length > 0){
                    $('#editCloudCredentialsModal').modal('show');
                    $scope.ccS1 = jData.ccS1[0];
                    $scope.$apply();
                    //console.log("ccS1"+jData.ccS1[0]['cloudName']);
                    //console.log("identity "+jData.ccS1[0]['identity']);
		    document.getElementById('switchedit').checked = false;
                    if( jData.ccS1[0]['defaultCloudCredentials'] == true)
                        {
                            document.getElementById('switchedit').checked = true;
                        }
                    if(jData.ccS1[0]['cloudName'] == "googleDrive" || jData.ccS1[0]['cloudName'] == "oneDrive"){
                        $('.access_key').addClass("hide");
                        $('.for_godb').removeClass("hide");
                        $('.for_azure').addClass("hide");
                        $('.local_storage').addClass("hide");
                        $('.epa_Url').addClass("hide");
                        $('#access_key').removeAttr('required', 'required');
                        $('#local_storage').removeAttr('required', 'required');
                        $('#epa_Url').removeAttr('required', 'required');
                        $('.client_secret').removeClass("hide");
                        $('#cloud_type').val(jData.ccS1[0]['cloudNameInCaps']);
                        $('#client_secret').val(jData.ccS1[0]['credential']);
                        $('#client_id').val(jData.ccS1[0]['identity']);
                        $('#client_redirect').val(jData.ccS1[0]['clientRedirectUri']);
                        $('#client_resource_url').val(jData.ccS1[0]['clientResourceUrl']);
                        $('#client_token').val(jData.ccS1[0]['clientTokenUrl']);
                        $('#portal_url').val(jData.ccS1[0]['endPointUrl']);
                        $('#cloud_credential_name').val(jData.ccS1[0]['cloudCredentialName']);
                    }
                    else{
                        $('.access_key').removeClass("hide");
                        $('.client_secret').addClass("hide");
                        $('.for_azure').removeClass("hide");
                        $('.for_godb').addClass("hide");
                        $('.local_storage').addClass("hide");
                        $('.epa_Url').addClass("hide");
                        $('#cloud_type').val(jData.ccS1[0]['cloudNameInCaps']);
                        if(jData.ccS1[0]['cloudName'] == "localStorage"){
                            $('.local_storage').removeClass("hide");
                            $('.access_key').addClass("hide");
                            $('#local_storage').val(jData.ccS1[0]['endPointUrl']);
                            $('#access_key').removeAttr('required', 'required');
                            $('#cloud_credential_name').val(jData.ccS1[0]['cloudCredentialName']);
                        }
                        if(jData.ccS1[0]['cloudName'] == "ibmCloud"){
                            $('.epa_Url').removeClass("hide");
                            $('#epa_Url').val(jData.ccS1[0]['endPointUrl']);
                            $('#cloud_credential_name').val(jData.ccS1[0]['cloudCredentialName']);
                        }
                        $('#cloud_type').val(jData.ccS1[0]['cloudNameInCaps']);
                        $('#client_id').val(jData.ccS1[0]['identity']);
                        $('#access_key').val(jData.ccS1[0]['credential']);
                        $('#cloud_credential_name').val(jData.ccS1[0]['cloudCredentialName']);
                        $('#client_secret').removeAttr('required', 'required');
                        $('#client_redirect').removeAttr('required', 'required');
                        $('#client_resource_url').removeAttr('required', 'required');
                        $('#client_token').removeAttr('required', 'required');
                        $('#portal_url').removeAttr('required', 'required');
                        $('#local_storage').removeAttr('required', 'required');
                        $('#epa_Url').removeAttr('required', 'required');
                    }
                    $scope.ccS1 = jData.ccS1[0];
                    $scope.$apply();
                }else{
                    $('.createCCSPanel').show();
                }
            }else{
$('#cloudType').val("");
                        $('#cloud_type').val("");
                        $('#cloud_credential_name').val("");
                        $('#client_id').val("");
                        $('#access_key').val("");
                        $('#local_storage').val("");
                        $('#epa_Url').val("");
                        $('#client_secret').val("");
                        $('#client_redirect').val("");
                        $('#client_resource_url').val("");
                        $('#portal_url').val("");
                        $('#cloudCredentialName').val("");
                        $('#editCloudCredentialsModal').modal('hide');
                	toastr.error(jData.msg, 'Fail!!!', {allowHtml: true});
            }
        }).error(function(data){
            toastr.error('Unable to process the request. Can you retry after sometime?', 'Fail!!!', {allowHtml: true});
            if(data.status == 424){
                setTimeout(function(){
                    window.location.href = $scope.BASE_FOLDER+'/sleep';
                }, 3000);
            }else if(data.status == 503){
                setTimeout(function(){
                    window.location.href = $scope.BASE_FOLDER+'/serviceDown';
                }, 3000);
            }
        });
    };

    $scope.getAllCloudCredentials = function(){
        console.log({csrf_token: $(".csrf_token").html()});
        $.ajax({
            url: $scope.BASE_FOLDER+'/settings/getCloudCredentials',
            data: {csrf_token: $(".csrf_token").html()},
            type: 'POST'
        }).done(function(data){
            $('.ccSPanel').show();
            var jData = $.parseJSON(data);
            if(jData.result == 'success'){
                if(jData.ccS.length > 0){
                    $('#editAdCredentialsModal').modal('show');
                    $scope.ccS = jData.ccS;
                    $scope.$apply();
                }else{
                    $('.createCCSPanel').show();
                }
            }else{
                //toastr.error(jData.msg, 'Fail!!!', {allowHtml: true});
                //toastr.error('<b>"No clouds found"</b><br>Create cloud', 'Fail!!!', {allowHtml: true});
            }
        }).error(function(data){
            toastr.error('Session has been expired, re-establising the connection..., or will be redirected to <b>"Login page"</b>', 'Fail!!!', {allowHtml: true});
            if(data.status == 424){
                setTimeout(function(){
                    window.location.href = $scope.BASE_FOLDER+'/sleep';
                }, 3000);
            }else if(data.status == 503){
                setTimeout(function(){
                    window.location.href = $scope.BASE_FOLDER+'/serviceDown';
                }, 3000);
            }
        });
    };

    $scope.saveCloudCredentials = function(type){
        if($('.cloudCredentials').parsley().isValid()){
            var html = $('.saveCcS').html();
            $('.saveCcS').attr('disabled','disabled');
            $('.saveCcS').html('Deleting... <i class="fa fa-circle-o-notch fa-spin"></i>').animate();
            $.ajax({
                url: $scope.BASE_FOLDER+'/settings/saveCloudCredentials',
                data: $('form').serialize(),
                type: 'POST'
            }).done(function(data){
                $('.saveCcS').removeAttr('disabled');
                $('.saveCcS').html(html);
                var jData = $.parseJSON(data);
                if(jData.result == 'success'){
                    $('#addCloudCredentials').modal('hide');
                    //$('#editCloudCredentialsModal').modal('hide');
                    toastr.success(jData.msg, 'Successful!!!', {allowHtml: true});
                    if(type == true){
                        location.reload();
                        $('.createCcS').modal('hide');
                        $('#ccS').append($('<option>', {
                            value: $('[name="identity"]').val(),
                            text: $('[name="identity"]').val()
                        }));
                        $('.selectCcSPicker').selectpicker('val', $('[name="identity"]').val());
                        $('.selectCcSPicker').selectpicker('refresh');
                    }else{
                        $scope.getAllCloudCredentials();
                    }
                    $('.cloudCredentials input').val('');
                }else{
			$('#cloudType').val("");
                        $('#identity').val("");
                        $('#accessKey').val("");
                        $('#epaUrl').val("");
                        $('#containerName').val("");
                        $('#localStorage').val("");
                        $('#clientId').val("");
                        $('#clientSecret').val("");
                        $('#clientRedirectURI').val("");
                        $('#clientResourceURL').val("");
                        $('#clientTokenURL').val("");
                        $('#portalURL').val("");
                        $('#cloudCredentialName').val("");
                        $('#addCloudCredentials').modal('hide');
                        toastr.error(jData.msg, 'Fail!!!', {allowHtml: true});
                }
            }).error(function(data){
                toastr.error('Unable to process the request. Can you retry after sometime?', 'Fail!!!', {allowHtml: true});
                if(data.status == 424){
                    setTimeout(function(){
                        window.location.href = $scope.BASE_FOLDER+'/sleep';
                    }, 3000);
                }else if(data.status == 503){
                    setTimeout(function(){
                        window.location.href = $scope.BASE_FOLDER+'/serviceDown';
                    }, 3000);
                }
            });
        }
    };

    $scope.editCloudCredentials = function(type){
        if($('.editCloudCredentials').parsley().isValid()){
            var html = $('.saveCcS').html();
            $('.saveCcS').attr('disabled','disabled');
            $('.saveCcS').html('Deleting... <i class="fa fa-circle-o-notch fa-spin"></i>').animate();
            $.ajax({
                url: $scope.BASE_FOLDER+'/settings/editCloudCredentials',
                data: $('form').serialize(),
                type: 'POST'
            }).done(function(data){
                $('.saveCcS').removeAttr('disabled');
                $('.saveCcS').html(html);
                var jData = $.parseJSON(data);
                if(jData.result == 'success'){
                    $('#editCloudCredentialsModal').modal('hide');
                    toastr.success(jData.msg, 'Successful!!!', {allowHtml: true});
                    if(type == true){
                        location.reload();
                        $('.createCcS').modal('hide');
                        $('#ccS').append($('<option>', {
                            value: $('[name="identity"]').val(),
                            text: $('[name="identity"]').val()
                        }));
                        $('.selectCcSPicker').selectpicker('val', $('[name="identity"]').val());
                        $('.selectCcSPicker').selectpicker('refresh');
                    }else{
                        $scope.getAllCloudCredentials();
                    }
                    $('.cloudCredentials input').val('');
                }else{
                    toastr.error(jData.msg, 'Fail!!!', {allowHtml: true});
                }
            }).error(function(data){
                toastr.error('Session has been expired, re-establising the connection..., or will be redirected to <b>"Login page"</b>', 'Fail!!!', {allowHtml: true});
                if(data.status == 424){
                    setTimeout(function(){
                        window.location.href = $scope.BASE_FOLDER+'/sleep';
                    }, 3000);
                }else if(data.status == 503){
                    setTimeout(function(){
                        window.location.href = $scope.BASE_FOLDER+'/serviceDown';
                    }, 3000);
                }
            });
        }
    };

    $scope.removeCloudCredentials = function(key){
        console.log(key);
        var btn = $('.removeCredentialsBtn'+key);
        var html = btn.html();
        btn.attr('disabled','disabled');
        btn.html('Removing... <i class="fa fa-circle-o-notch fa-spin"></i>').animate();
        if($scope.ccS[key]){
            $.ajax({
                url: $scope.BASE_FOLDER+'/settings/removeCloudCredentials',
                data: {identity: $scope.ccS[key].identity, csrf_token: $('.csrf_token').html()},
                type: 'POST'
            }).done(function(data){
                btn.removeAttr('disabled');
                btn.html(html);
                var jData = $.parseJSON(data);
                if(jData.result == 'success'){
                    toastr.success(jData.msg, 'Successful!!!', {allowHtml: true});
                    setTimeout(function(){
                        window.location.reload();
                    }, 2000);
                }else{
                    toastr.error(jData.msg, 'Fail!!!', {allowHtml: true});
                }
            }).error(function(data){
                toastr.error('Session has been expired, re-establising the connection..., or will be redirected to <b>"Login page"</b>', 'Fail!!!', {allowHtml: true});
                if(data.status == 424){
                    setTimeout(function(){
                        window.location.href = $scope.BASE_FOLDER+'/sleep';
                    }, 3000);
                }else if(data.status == 503){
                    setTimeout(function(){
                        window.location.href = $scope.BASE_FOLDER+'/serviceDown';
                    }, 3000);
                }
            });
        }
    };

    $scope.closeModal = function(){
        $(".modal-body input").val("");
        $('#cloudType').selectpicker('refresh');
        };

    $scope.getEncryptionKeys = function(){
        console.log({csrf_token: $(".csrf_token").html()});
        $.ajax({
            url: $scope.BASE_FOLDER+'/settings/encryption',
            data: {csrf_token: $(".csrf_token").html()},
            type: 'GET'
        }).done(function(data){
            //$('.ccSPanel').show();
            var jData = $.parseJSON(data);
            if(jData.result == 'success'){
                if(jData.keys.length > 0){
                    $('.keychart').removeClass('hide');
                    $scope.keys = jData.keys;
                    $scope.$apply();
                }else{
                    $('.keychart').addClass('hide');
                }
            }else{
                toastr.error(jData.msg, 'Fail!!!'<br>'No Encryption Configured');
            }
        });
    };

    $scope.redirectTo = function(url){
        window.location = url;
    };

    $scope.sendMeTo = function(location){
        window.location.href = location;
    };

    angular.element(document).ready(function(){
        if($scope.currentPage == 'adCredentials'){
            $scope.updateAdCredentials();
        }

        if($scope.currentPage == 'ccS'){
            $scope.getAllCloudCredentials();
        }

	if($scope.currentPage == 'SSL and Encryption Configuration'){
            $scope.getEncryptionKeys();
        }
    });

}]);
