<?php use \Core\View;
use Helpers\Auth;
use Helpers\Url;
use Helpers\Form;
use Core\Language;
/*
*
* Copyright 2015
* ParaBlu Systems Private Limited
* All Rights Reserved
*
* NOTICE:  All information contained herein is, and remains
* the property of ParaBlu Systems Private Limited and its suppliers, if any.
* The intellectual and technical concepts contained herein are proprietary
* to ParaBlu Systems Private Limited and its suppliers and may be covered by
* Indian, US and Foreign Patents, patents in process, and are protected by
* trade secret or copyright law.
* Dissemination of this information or reproduction of this material
* is strictly forbidden unless prior written permission is obtained
* from ParaBlu Systems Private Limited.
*
* index.php
*
* @author Prashanth Kumar B - prashanth.kumar@parablu.com
* @version 2.0
* @date 7/10/15
* @time 11:55 AM
*
*/

?>
<div class="container">
    <div class="row">
        <div class="col-lg-6">
            <ol class="breadcrumb">
                <li><h3><?=$data['title']?></h3></li>
                <li><?=$data['crumb1']?></li>
            </ol>
        </div>
        </div>
</div>
<div class="main" ng-controller="PmsController">
    <span class="hide currentPage"><?=''?></span>
    <span class="hide csrf_token"><?=$data['csrf_token'];?></span>
    <div class="row profile">
        <div class="col-lg-2 col-md-2 col-sm-2">
            <?php View::renderTemplate('partials/sideBar', $data); ?>
        </div>
        <div class="col-lg-10 col-md-10 col-sm-10 ng-cloak">
            <?php if(Auth::checkCloudPermission('backup')){ ?>
                <div class="row">
                    <div class="panel">
                        <div class="panel-heading">
                            <h4 style="padding: 0px 0px 0px 15px;">BluVault Policy Settings</h4>
                        </div>
                        <div class="panel-body">
                            <div class="col-lg-5">
                                <div class="panel panel-default no-box-shadow widget-default widget-click">
                                    <div class="panel-header pull-right" style="margin-right: 10px; margin-top: -11px;">
                                        <a class="btn btn-success btn-small" ng-click="sendMeTo('/pms/filters')"><i class="fa fa-filter" style="color: white"></i> Filters</a>
                                        <a class="btn btn-success btn-small" ng-click="sendMeTo('/pms/schedules')"><i class="fa fa-clock-o" style="color: white"></i> Schedules</a>
                                        <a class="btn btn-success btn-small" ng-click="sendMeTo('/settings/cloudCredentials')"><i class="fa fa-cloud" style="color: white"></i> Cloud Credentials</a>
                                    </div>
                                    <hr/>
                                    <div class="background">
                                        <i class="fa fa-file-powerpoint-o"></i>
                                    </div>
                                    <a href="#" data-toggle="tooltip" data-placement="top" title="<?=Language::show('policyEdit', 'pms');?>">
<div class="panel-body widget widget-body clickAble" ng-click="sendMeTo('/pms/policies')">
                                        <center><i class="fa fa-file-powerpoint-o"> BluVault Policies</i><br/></center>
                                        
                                    </div></a>
                                </div>
                            </div>
                            <div class="col-lg-5">
                                <div class="panel panel-default no-box-shadow widget-default widget-click">
                                    <div class="panel-header pull-right" style="margin-right: 10px; margin-top: -11px;">
                                        <a class="btn btn-small btn-success pull-right" ng-click="sendMeTo('/pms/policyMapping/multiple')">Map policies in bulk</a>
                                    </div>
                                    <hr/>
                                    <div class="background">
                                        <i class="fa fa-user"></i>
                                    </div>
                                    <a href="#" data-toggle="tooltip" data-placement="top" title="<?=Language::show('mapBluvaultPolicy', 'pms');?>">
                                    <div class="panel-body widget widget-body clickAble" ng-click="sendMeTo('/pms/policyMapping/single')">
                                       <center><i class="fa fa-user"> Policy Mapping</i><br/></center>
                                    </div>
                                    </a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            <?php }elseif(Auth::checkCloudPermission('serverBackup')){ ?>
                <div class="row">
                    <div class="panel">
                        <div class="panel-heading">
                            <h4 style="padding: 0px 0px 0px 15px;">Server Backup Policy Settings</h4>
                        </div>
                        <div class="panel-body">
                            <div class="col-lg-4">
                                <div class="panel panel-default no-box-shadow widget-default widget-click">
                                    <div class="panel-header pull-right" style="margin-right: 10px; margin-top: -11px;">
                                        <a class="btn btn-success btn-small" ng-click="sendMeTo('/pms/filters')"><i class="fa fa-filter" style="color: white"></i> Filters</a>
                                        <a class="btn btn-success btn-small" ng-click="sendMeTo('/pms/schedules')"><i class="fa fa-clock-o" style="color: white"></i> Schedules</a>
                                    </div>
                                    <hr/>
                                    <div class="background">
                                        <i class="fa fa-file-powerpoint-o"></i>
                                    </div>
                                    <div class="panel-body widget widget-body clickAble" ng-click="sendMeTo('/pms/policies')">
                                        <i class="fa fa-file-powerpoint-o"> Server Backup Policies</i><br/>
                                        <a>Create, Edit, View Policies</a>
                                    </div>
                                </div>
                            </div>
<!--                            <div class="col-lg-4">-->
<!--                                <div class="panel panel-default no-box-shadow widget-default widget-click">-->
<!--                                    <div class="panel-header pull-right" style="margin-right: 10px; margin-top: -11px;">-->
<!--                                        <a class="btn btn-small btn-success pull-right" ng-click="sendMeTo('/pms/policyMapping/multiple')">Map policies in bulk</a>-->
<!--                                    </div>-->
<!--                                    <hr/>-->
<!--                                    <div class="background">-->
<!--                                        <i class="fa fa-user"></i>-->
<!--                                    </div>-->
<!--                                    <div class="panel-body widget widget-body clickAble" ng-click="sendMeTo('/pms/policyMapping/single')">-->
<!--                                        <i class="fa fa-user"> Policy Mapping</i><br/>-->
<!--                                        <a>Map users to backup policies</a>-->
<!--                                    </div>-->
<!--                                </div>-->
<!--                            </div>-->
                        </div>
                    </div>
                </div>
            <?php } ?>
            <?php if(Auth::checkCloudPermission('sync')){ ?>
                <div class="row">
                    <div class="panel">
                        <div class="panel-heading">
                            <h4 style="padding: 0px 0px 0px 15px;">BluSync Policy Settings</h4>
                        </div>
                        <div class="panel-body">
                            <div class="col-lg-5">
                                <div class="panel panel-default no-box-shadow widget-default widget-click">
                                    <div class="panel-header pull-right" style="margin-right: 10px; margin-top: -11px;">
                                        <a class="btn btn-success btn-small" ng-click="sendMeTo('/pms/filters')"><i class="fa fa-filter" style="color: white"></i> Filters</a>
                                        <a class="btn btn-success btn-small" ng-click="sendMeTo('/settings/cloudCredentials')"><i class="fa fa-cloud" style="color: white"></i> Cloud Credentials</a>
                                    </div>
                                    <hr/>
                                    <div class="background">
                                        <i class="fa fa-file-powerpoint-o"></i>
                                    </div>
                                    <a href="#" data-toggle="tooltip" data-placement="top" title="<?=Language::show('policyEdit', 'pms');?>">
                                    <div class="panel-body widget widget-body clickAble" ng-click="sendMeTo('/pms/sync/policies')">
                                       <center><i class="fa fa-file-powerpoint-o"> BluSync Policies</i><br/></center>
                                    </div>
                                    </a>
                                </div>
                            </div>
                            <div class="col-lg-5">
                                <div class="panel panel-default no-box-shadow widget-default widget-click">
                                    <div class="panel-header pull-right" style="margin-right: 10px; margin-top: -11px;">
                                        <a class="btn btn-small btn-success pull-right" ng-click="sendMeTo('/pms/sync/policyMapping/multiple')">Map policies in bulk</a>
                                    </div>
                                    <hr/>
                                    <div class="background">
                                        <i class="fa fa-user"></i>
                                    </div>
                                    <a href="#" data-toggle="tooltip" data-placement="top" title="<?=Language::show('mapSyncPolicy', 'syncPms');?>">
                                    <div class="panel-body widget widget-body clickAble" ng-click="sendMeTo('/pms/sync/policyMapping/single')">
                                       <center><i class="fa fa-user"> Policy Mapping</i><br/></center>
                                    </div>
                                    </a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            <?php } ?>
<!--            <div class="row">-->
<!--                <div class="panel">-->
<!--                    <div class="panel-heading">-->
<!--                        <h4 style="padding: 0px 0px 0px 15px;"></h4>-->
<!--                    </div>-->
<!--                    <div class="panel-body">-->
<!--                        <div class="col-lg-4">-->
<!--                            <div class="panel panel-default no-box-shadow widget-default widget-click clickAble" ng-click="sendMeTo('/pms/bluvault')">-->
<!--                                <div class="background">-->
<!--                                    <i class="fa fa-cubes"></i>-->
<!--                                </div>-->
<!--                                <div class="panel-body widget widget-body">-->
<!--                                    <i class="fa fa-cubes"> Paraclouds</i><br/>-->
<!--                                    <a>Paracloud Settings</a>-->
<!--                                </div>-->
<!--                            </div>-->
<!--                        </div>-->
<!--                        --><?php //if(BLUKRYPT_PAGE == true){ ?>
<!--                            <div class="col-lg-4">-->
<!--                                <div class="panel panel-default no-box-shadow widget-default widget-click clickAble" ng-click="sendMeTo('/pms/blukrypt')">-->
<!--                                    <div class="background">-->
<!--                                        <i class="fa fa-key"></i>-->
<!--                                    </div>-->
<!--                                    <div class="panel-body widget widget-body">-->
<!--                                        <i class="fa fa-key"> Blukrypt</i><br/>-->
<!--                                        <a>Blukrypt Settings</a>-->
<!--                                    </div>-->
<!--                                </div>-->
<!--                            </div>-->
<!--                        --><?php //} ?>
<!--                        <div class="col-lg-4 hide">-->
<!--                            <div class="panel panel-default no-box-shadow widget-default widget-click clickAble" ng-click="sendMeTo('/pms/networkThrottling')">-->
<!--                                <div class="background">-->
<!--                                    <i class="fa fa-crop"></i>-->
<!--                                </div>-->
<!--                                <div class="panel-body widget widget-body">-->
<!--                                    <i class="fa fa-crop"> Network Throttling</i><br/>-->
<!--                                    <a>Network Throttling Settings</a>-->
<!--                                </div>-->
<!--                            </div>-->
<!--                        </div>-->
<!--                    </div>-->
<!--                </div>-->
<!--            </div>-->
        </div>
    </div>
    <?php View::renderTemplate('partials/search', $data); ?>
</div><!-- /.container -->
<?php View::renderTemplate('partials/scripts')?>
<script>
    $('.timePicker').timepicker({
        showMeridian: false,
        defaultTime: '9:45'
    });
</script>
<script src="<?=Url::templatePath()?>js/angular/controllers/PmsController.js?<?=VERSIONS_NUMBER?>" type="text/javascript"></script>
<script>
$(document).ready(function(){
    $('[data-toggle="tooltip"]').tooltip();
});
</script>
