<?php

use \Core\View;
use Helpers\Form;
use \Helpers\Url;
use Helpers\Auth;
use Core\Language;
/*
*
* Copyright 2015
* ParaBlu Systems Private Limited
* All Rights Reserved
*
* NOTICE:  All information contained herein is, and remains
* the property of ParaBlu Systems Private Limited and its suppliers, if any.
* The intellectual and technical concepts contained herein are proprietary
* to ParaBlu Systems Private Limited and its suppliers and may be covered by
* Indian, US and Foreign Patents, patents in process, and are protected by
* trade secret or copyright law.
* Dissemination of this information or reproduction of this material
* is strictly forbidden unless prior written permission is obtained
* from ParaBlu Systems Private Limited.
*
* index.php
*
* @author Prashanth Kumar B - prashanth.kumar@parablu.com
* @version 2.0
* @date 7/10/15
* @time 11:55 AM
*
*/
header("Cache-Control: no-store, no-cache, must-revalidate, max-age=0");
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache");
?>
<div class="container">
    <div class="row">
        <div class="col-lg-6">
            <ol class="breadcrumb">
                <li><h3><a href="<?=Url::basePath('settings')?>"><?=$data['title']?></a></h3></li>
                <li><?=$data['crumb1']?></li>
            </ol>
        </div>
        <div class="col-lg-6 hide">
            <?php View::renderTemplate('partials/createButton', $data)?>
        </div>
    </div>
</div>
<div class="main" ng-controller="SettingController">
    <div class="row profile">
        <div class="col-lg-2 col-md-2 col-sm-2">
            <?php View::renderTemplate('partials/sideBar', $data); ?>
        </div>
        <div class="col-lg-10 col-md-10 col-sm-10">
            <span class="csrf_token hide"><?=$data['csrf_token']?></span>
            <span class="currentPage hide"><?='adCredentials'?></span>
            <div class="row">
                <div class="panel adPanel">
                    <div class="panel-heading">
                        <h4 style="padding: 0px 0px 0px 15px;"><?=Language::show('activeDirectoryCredentials', 'keywords')?><span class="pull-right"><a class="btn btn-success btn-small" href="" data-toggle="modal" data-target="#addad"><?=Language::show('addAd', 'keywords');?></a></span></h4>
                    </div>

                   <div ng-if="adcS.length <= 0" class="row">
                        <div class="col-lg-12">
                            <h2 align="center">No Active Directory Credentials found</h2>
                        </div>
                    </div>
                    
                    <div class="panel-body table-responsive" ng-if="adcS.length > 0">
                        <div class="row col-lg-12">
                            <table id="example" class="table table-bordered table-striped adtableList">
                            <thead>
                            <tr>
                                <th class="text-left"><?=Language::show('userDomainName', 'keywords')?></th>
                                <th class="text-left"><?=Language::show('activeDirectoryProductType', 'keywords')?></th>
                                <th class="text-left"><?=Language::show('activeDirectoryCommonName', 'keywords')?></th>
                                <th class="text-left"><?=Language::show('action', 'keywords')?></th>
                            </tr>
                            </thead>
                            <tbody>
                            <tr ng-repeat="value in adcS track by $index">
                                <td>{{ value.userDn }}</td>
                                <td ng-if="value.adProductType=='sync'">BluSync</td>
                                <td ng-if="value.adProductType=='backup'">BluVault</td>
                                <td>{{ value.adCn }}</td>
                                <td>
                                   <a style="margin-top: 5px;" class="btn btn-success btn-small" ng-click="getAdCredentials($index)">Edit</a>
                                    <a style="margin-top: 5px;" class="btn btn-danger btn-small removeCredentialsBtn{{$index}}" ng-click="removeAdCredentials($index)">Delete</a> 
                                </td>
                            </tr>
                            </tbody>
                        </table>
                        </div>
                        <div ng-repeat="value in adcS track by $index" class=" hide col-lg-6 ng-scope block-ui block-ui-anim-fade" block-ui="myBlockUI" aria-busy="false">
                            <div class="panel panel-default no-box-shadow widget-success">
                                <div class="background">
                                    <i class="fa fa-language"></i>
                                </div>
                                <div class="panel-heading widget-header">
                                    <span class="hide" ng-if="value.userDn.length > 0">
                                        <a>Id: </a><a class="pull-right">{{ value.id }}</a>
                                        <br/>
                                    </span>
                                    <span ng-if="value.userDn.length > 0">
                                        <a>User Domain Name: </a><a ng-cloak class="pull-right">{{ value.userDn }}</a>
                                        <br/>
                                    </span>
                                    <span ng-if="value.adPassword.length > 0">
                                        <a>Active Directory Password: </a><a ng-cloak class="pull-right">**********</a>
                                        <br/>
                                    </span>
                                    <span ng-if="value.adUrl.length > 0">
                                        <a>Active Directory URL: </a><a ng-cloak class="pull-right">{{ value.adUrl }}</a>
                                        <br/>
                                    </span>
                                    <span ng-if="value.adBase.length > 0">
                                        <a>Active Directory Base: </a><a ng-cloak class="pull-right">{{ value.adBase }}</a>
                                        <br/>
                                    </span>
                                    <span ng-if="value.adGroupName.length > 0">
                                        <a>Active Directory Group Name: </a><a ng-cloak class="pull-right">{{ value.adGroupName }}</a>
                                        <br/>
                                    </span>
                                    <span ng-if="value.adProductType.length > 0">
                                        <a>Active Directory Product Type: </a><a ng-cloak ng-if="value.adProductType=='sync'" class="pull-right"> BluSync</a>
                                        <a ng-cloak ng-if="value.adProductType=='backup'" class="pull-right"> BluVault</a>
                                        <br/>
                                    </span>
                                    <span ng-if="value.adBase.length > 0">
                                        <a>Active Directory Common Name: </a><a ng-cloak class="pull-right">{{ value.adCn }}</a>
                                        <br/>
                                    </span>
                                </div>
                                <div class="panel-footer">
                                    <a style="margin-top: 5px;" class="btn btn-primary btn-small" ng-click="getAdCredentials($index)">Edit</a>
                                    <a style="margin-top: 5px;" class="btn btn-danger btn-small removeCredentialsBtn{{$index}}" ng-click="removeAdCredentials($index)">Delete</a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
    
               

<!-- kjdbvjdkbvjbf start -->
<div class="modal fade" id="addad" tabindex="-1" role="dialog">
        <div class="modal-dialog">
            <div class="modal-content mediumModal">
                <?= Form::open(array(
                            'ng-submit' => 'saveAdCredentials("createAdCredentials")',
                            'class' => 'createAdCredentials',
                            'csrf' => $data['csrf_token'],
                            'autocomplete' => 'off'
                            )); ?>
                            <div class="modal-header">
                                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                                <h4 class="modal-title"><?=Language::show('addYourActiveDirectoryCredentials', 'keywords')?></h4>
                            </div>
                            <div class="modal-body">
                                <div class="row">
                                    <div class="form-group col-lg-6">
                                    <label for="userDn"><?=Language::show('userDomainName', 'keywords')?></label>
                                    <input type="text" class="form-control" name="userDn" id="userDn" value="" placeholder="Enter your User Domains" required autocomplete="off">
                                </div>
                                <div class="form-group col-lg-6">
                                    <label for="adPassword"><?=Language::show('aDPassword', 'keywords')?></label>
                                    <input type="password" class="form-control" name="adPassword" id="adPassword" value="" placeholder="Enter your Active Directory Password" required autocomplete="off">
                                </div>
                                <div class="form-group col-lg-6">
                                    <label for="adBase"><?=Language::show('aDBase', 'keywords')?></label>
                                    <input type="text" class="form-control" name="adBase" id="adBase" value="" placeholder="Enter your Active Directory Base" required autocomplete="off">
                                </div>
                                <div class="form-group col-lg-6">
                                    <label for="adCn"><?=Language::show('activeDirectoryCommonName', 'keywords')?></label>
                                    <input type="text" class="form-control" name="adCn" id="adCn" value="" placeholder="Enter your Active Directory Common Name" required autocomplete="off">
                                </div>
                                <div class="form-group col-lg-12 adUrl">
                                    <label for="adUrl"><?=Language::show('aDUrl', 'keywords')?></label>
                                    <input type="text" class="form-control" name="adUrl" id="adUrl" value="" placeholder="Enter your Active Directory URL" autocomplete="off">
                                </div>
                                <div class="form-group col-lg-6">
                                    <?php if(Auth::checkCloudPermission('sync') && Auth::checkCloudPermission('backup')){ ?>
                                        <label for="adProductType"><?=Language::show('activeDirectoryProductType', 'keywords')?></label>
                                            <select class="form-control adProductType selectpicker" name="adProductType" id="adProductType" title='Select Product Type' required>
                                                <option value="sync"><?=Language::show('bluSync', 'keywords')?></option>
                                                <option value="backup"><?=Language::show('bluVault', 'keywords')?></option>
                                            </select>
                                    <?php }else{ ?>
                                        <?php if(Auth::checkCloudPermission('sync')){ ?>
                                            <div class="form-group col-lg-12 adProductType">
                                                <label for="adProductType"><?=Language::show('activeDirectoryProductType', 'keywords')?></label>
                                                <input type="text" class="form-control" name="adProductType" id="adProductType" value="sync" autocomplete="off" readonly>
                                            </div>
                                        <?php }else{ ?>
                                            <div class="form-group col-lg-12 adProductType">
                                                <label for="adProductType"><?=Language::show('activeDirectoryProductType', 'keywords')?></label>
                                                <input type="text" class="form-control" name="adProductType" id="adProductType" value="backup" autocomplete="off" readonly>
                                            </div>
                                        <?php } ?>
                                    <?php } ?>
        
                                </div>
                                <div class="form-group col-lg-6">
                                    <label for="adGroupName"><?=Language::show('aDGroupName', 'keywords')?></label>
                                    <input type="text" class="form-control" name="adGroupName" id="adGroupName" value="" placeholder="Enter your AD Group Name" autocomplete="off">
                                </div>
                                </div>
                            </div>
                            <div class="modal-footer">
                                <button type="submit" class="btn btn-success createCredentialsBtn"><?=Language::show('save', 'keywords')?></button>
                                <button type="button" class="btn btn-default" data-dismiss="modal"><?=Language::show('close', 'keywords')?></button>
                            </div>
                <?= Form::close(); ?>
                 </div>
        </div>
    </div>
<!-- jkdbvjdbvdbvj ends-->
                
                
    
                
          
    <div class="modal fade" id="editAdCredentialsModal" tabindex="-1" role="dialog">
        <div class="modal-dialog">
            <div class="modal-content mediumModal">
                <?= Form::open(array(
                    'ng-submit' => 'editAdCredentials("editAdCredentials")',
                    'class' => 'editAdCredentials',
                    'csrf' => $data['csrf_token'],
                    'autocomplete' => 'off',
                    'data-parsley-validate' => true
                )); ?>
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title">Edit Active Directory Credentials</h4>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="form-group col-lg-6 hide">
                            <label for="id">Id</label>
                            <input type="text" class="form-control" name="id" id="id" placeholder="id" required autocomplete="off" readonly>
                        </div>
                        <div class="form-group col-lg-6">
                            <label for="userDn">User Domain</label>
                            <input type="text" class="form-control" name="userDn" id="editUserDn" placeholder="Enter your User Domains" required autocomplete="off" readonly>
                        </div>
                        <div class="form-group col-lg-6">
                            <label for="adPassword">AD Password</label>
                            <input type="password" class="form-control" name="adPassword" id="editAdPassword" placeholder="Enter your Active Directory Password" required autocomplete="off">
                        </div>
                        <div class="form-group col-lg-6">
                            <label for="adBase">AD Base</label>
                            <input type="text" class="form-control" name="adBase" id="editAdBase" placeholder="Enter your Active Directory Base" required autocomplete="off">
                        </div>
                        <div class="form-group col-lg-6">
                            <label for="adCn">AD Common Name</label>
                            <input type="text" class="form-control" name="adCn" id="editAdCn" placeholder="Enter your Active Directory Common Name" required autocomplete="off">
                        </div>
                        <div class="form-group col-lg-12 adUrl">
                            <label for="adUrl">AD Url</label>
                            <input type="text" class="form-control" name="adUrl" id="editAdUrl" placeholder="Enter your Active Directory URL" autocomplete="off">
                        </div>
                        <div class="form-group col-lg-6">
                            <label for="adProductType">AD Product Type</label>
                            <select class="form-control adProductType selectpicker" name="adProductType" id="editAdProductType" title='Select AD Product Type'>
                                <option value="sync">BluSync</option>
                                <option value="backup">BluVault</option>
                            </select>
                        </div>
                        <div class="form-group col-lg-6">
                            <label for="adGroupName">AD Group Name</label>
                            <input type="text" class="form-control" name="adGroupName" id="editAdGroupName" value="" placeholder="Enter your AD Group Name" autocomplete="off">
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="submit" class="btn btn-success editCredentialsBtn">Save</button>
                    <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                </div>
                <?= Form::close(); ?>
            </div>
        </div>
    </div>
</div>  
    <?php View::renderTemplate('partials/search', $data); ?>
</div><!-- /.container -->
<?php View::renderTemplate('partials/scripts')?>
<script src="<?=Url::templatePath()?>js/angular/controllers/SettingController.js?<?=VERSIONS_NUMBER?>" type="text/javascript"></script>
